Bug 962770 - Review Request: perl-Statistics-CaseResampling - Resampling and calculation of medians with confidence intervals
Review Request: perl-Statistics-CaseResampling - Resampling and calculation o...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 962806
  Show dependency treegraph
 
Reported: 2013-05-14 08:17 EDT by Petr Pisar
Modified: 2014-03-10 11:35 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Statistics-CaseResampling-0.14-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 11:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-05-14 08:17:17 EDT
Spec URL: http://ppisar.fedorapeople.org/perl-Statistics-CaseResampling/perl-Statistics-CaseResampling.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Statistics-CaseResampling/perl-Statistics-CaseResampling-0.14-1.fc20.src.rpm
Description:
The purpose of this module is to calculate the median (or in principle also
other statistics) with confidence intervals on a sample. To do that, it uses
a technique called boot-strapping. In a nutshell, it resamples the sample
a lot of times and for each resample, it calculates the median. From the
distribution of medians, it then calculates the confidence limits.

Fedora Account System Username: ppisar


This package reuses modified Mersenne Twister implementation. But I believe this is acceptable because perl-Math-Random-MT-Auto does the same.
Comment 1 Petr Pisar 2013-05-16 10:27:55 EDT
The bundling is subject of FPC item <https://fedorahosted.org/fpc/ticket/291>.
Comment 2 Petr Šabata 2013-05-16 10:42:33 EDT
There's a new version which includes your patch available.

I'll wait until the FPC ticket is resolved.

The bundling aside, the package is okay.
Comment 3 Petr Pisar 2014-03-10 06:12:26 EDT
FPC has granted the bundling exception <https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Packages_granted_exceptions>.
Comment 5 Petr Šabata 2014-03-10 09:23:49 EDT
Ok, approving.

Nitpick: Just remove the trailing whitespace on your bundled() line ;)
Comment 6 Petr Pisar 2014-03-10 10:47:04 EDT
New Package SCM Request
=======================
Package Name: perl-Statistics-CaseResampling
Short Description: Resampling and calculation of medians with confidence intervals
Owners: ppisar jplesnik psabata
Branches: 
InitialCC: perl-sig
Comment 7 Gwyn Ciesla 2014-03-10 10:47:52 EDT
Git done (by process-git-requests).
Comment 8 Petr Pisar 2014-03-10 11:35:57 EDT
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.